Subject: psql ERROR
From: "Ray Martin" <[email-masked]>
To: "cyg win" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 10 Dec 2001 03:18:54 -0600

Hello,
This is a two part message\report:
----------------------------------------
Running Win2K Server " Please no snickers" =) All up to date !
Was running Cygwin 1.3.5 Complete install "net of course"
---------------------------------------
The first one is about "tcsh shell", that was not a real biggy. Because I
normally use "bash". Then I tried to get "PostgresSQL 7.1.3" installed &
configured and it seamed a bit more serious. I have included everthing I can
think of in this email.

The first thing I did was get the lastest copy of CYGWIN ver 1.3.6, this was
to try & fix the error I got when I tried to go from "Bash Shell" to "Tcsh
Shell" Error counld not find "cygcurses5.dll"
Then following the instructions in "postgresql-7.1.3.README" I downloaded &
installed "cygipc-1.11-1.tar.bz2". Following the README for "IPC". I setup
all the user accounts and service for "ipc-daemon" & "PostgresSQL". Started
& tested "ipc", all went good. Then went through setting up "initdb &
Postmaster", all went good. Then when I fired off the command "psql
templete1" is when I got the same Error as I did when I tried to use "tcsh".

My real question is:
 Am I to make this "cugcurses5.dll" locally on my computer, or should it be
part of the binary Dist. of "Cygwin"?
OR; Is this A BUG?

Both "ipc-daemon & postmaster" are runnig fine as services. throwing NO
ERROR or taxing the system.

I would be very thankful for any pointers or help on this!

Best Regards, Ray Martin  [email-masked]

This is the ERROR
" The Dynamic link library cygncurses5.dll could not be found
C:\cygwin\bin;C:\WINNT\system;C:\cygwin\bin;C:\cygwin\usr\local\bin"

Here is a copy of the buffer from Bash2.05a
######################################################################
Administrator@CNOS-RTM
$ login postgres
Password:
Fanfare!!!
You are successfully logged in to this server!!!
postgres@CNOS-RTM ~
$ s
postgres@CNOS-RTM /home
$ s
postgres@CNOS-RTM /
$ c bin
postgres@CNOS-RTM /bin
$ initdb -D /var/pgsql/data
[1] 312
postgres@CNOS-RTM /bin
$ This database system will be initialized with username "postgres".
This user will own all the data files and must also own the server process.
Fixing permissions on existing directory /var/pgsql/data
Creating directory /var/pgsql/data/base
Creating directory /var/pgsql/data/global
Creating directory /var/pgsql/data/pg_xlog
Creating template1 database in /var/pgsql/data/base/1
DEBUG:  database system was shut down at 2001-12-10 01:57:09
DEBUG:  CheckPoint record at (0, 8)
DEBUG:  Redo record at (0, 8); Undo record at (0, 8); Shutdown TRUE
DEBUG:  NextTransactionId: 514; NextOid: 16384
DEBUG:  database system is in production state
Creating global relations in /var/pgsql/data/global
DEBUG:  database system was shut down at 2001-12-10 01:57:19
DEBUG:  CheckPoint record at (0, 112)
DEBUG:  Redo record at (0, 112); Undo record at (0, 0); Shutdown TRUE
DEBUG:  NextTransactionId: 514; NextOid: 17199
DEBUG:  database system is in production state
Initializing pg_shadow.
Enabling unlimited row width for system tables.
Creating system views.
Loading pg_description.
Setting lastsysoid.
Vacuuming database.
Copying template1 to template0.
Success. You can now start the database server using:
    /bin/postmaster -D /var/pgsql/data
or
    /bin/pg_ctl -D /var/pgsql/data -l logfile start
postgres@CNOS-RTM /bin
$ postmaster -D /var/pgsql/data &
[1] 1432
psql templete1
postgres@CNOS-RTM /bin
$
######################################################################
Here is a copy of ".bashrc & .profile & .inputrc"
######################################################################
# .bashrc File customized By: Raymond T. Martin
# User specific aliases and functions
shopt -s nocaseglob
alias a='pwd'
alias c='cd'
alias x='exit'
alias bu='bunzip2'
alias h='cd ~'
alias gz='gzip -9'
alias gx='gunzip -df'
alias cl='clear'
alias la='ls -a'
alias lo='ls -la'
alias rm='rm -i'
alias mv='mv -i'
alias cp='cp -i'
alias s='cd ..'
alias d='ls -a'
alias p='cd -'
alias pt='ps -ef | grep'
alias ss='source ~/.bashrc'
alias td='tar -xvf'
alias tc='tar -cvf'
alias c1='cd /cygdrive/c/ && d'
alias d1='cd /cygdrive/d/ && d'
alias e1='cd /cygdrive/e/ && d'
alias f1='cd /cygdrive/f/ && d'
alias g1='cd /cygdrive/g/ && d'
alias h1='cd /cygdrive/h/ && d'
alias i1='cd /cygdrive/i/ && d'
alias j1='cd /cygdrive/j/ && d'
alias k1='cd /cygdrive/k/ && d'
alias l1='cd /cygdrive/l/ && d'
alias m1='cd /cygdrive/m/ && d'
alias n1='cd /cygdrive/n/ && d'
alias o1='cd /cygdrive/o/ && d'
alias p1='cd /cygdrive/p/ && d'
alias q1='cd /cygdrive/q/ && d'
alias r1='cd /cygdrive/r/ && d'
alias t1='cd /cygdrive/t/ && d'
alias u1='cd /cygdrive/u/ && d'
alias z1='cd /cygdrive/z/ && d'
# below this line are parts of .profile
PATH="/bin:/usr/bin:/usr/local/bin:."
export MAKE_MODE=unix
export PS1='\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
# above this line are parts of .profile
# Read first /etc/inputrc if the variable is not defined, and after the
/etc/inputrc
# include the ~/.inputrc
#[ -z $INPUTRC ] && export INPUTRC=/etc/inputrc
# Source global definitions
if [ -f /etc/bashrc ]; then
 . /etc/bashrc
fi
################################################################
PATH="/usr/local/bin:/usr/bin:/bin:$PATH"
unset DOSDRIVE
unset DOSDIR
unset TMPDIR
unset TMP
USER="`id -un`"
# Set up USER's home directory
if [ -z "$HOME" ]; then
  HOME="/home/$USER"
fi

if [ ! -d "$HOME" ]; then
  mkdir -p "$HOME"
fi
export HOME USER
for i in /etc/profile.d/*.sh ; do
  if [ -f $i ]; then
    . $i
  fi
done
export MAKE_MODE=unix
export PS1='\[\033]0;\w\007
\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ '
cd "$HOME"
test -f ./.bashrc && . ./.bashrc
###############################################################
# Make Bash 8bit clean
 set meta-flag on
 set convert-meta off
 set output-meta on
 # Ignore case while completing
 set completion-ignore-case on
###############################################################

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/